# ChainedRunnablePartFirst

class ChainedRunnablePartFirst<R>(runnable: () -> R, sync: Boolean) : ChainedRunnablePart<Unit, R>
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
execute
Link copied to clipboard
open override fun execute()
Content copied to clipboard
executeCatching
Link copied to clipboard
open override fun <E : Exception> executeCatching(exceptionClass: KClass<E>, exceptionHandler: (E) -> Unit?)
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
run
Link copied to clipboard
override fun run(realRunnable: () -> Unit)
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

next
Link copied to clipboard
override var next: ChainedRunnablePart<R, *>?
Content copied to clipboard
runnable
Link copied to clipboard
val runnable: () -> R
Content copied to clipboard
sync
Link copied to clipboard
override val sync: Boolean
Content copied to clipboard